# 应用图标目录

本目录包含 Tetris 游戏的应用图标文件。

## 文件说明

### 主要图标文件
- `app.icns` - macOS 应用图标文件 (96K)
  - 格式: Mac OS X icon, "ic12" type
  - 包含所有标准尺寸 (16x16 到 1024x1024)
  - 支持 Retina 显示屏 (@2x 版本)

### PNG 图标文件
- `icon_16.png` - 16x16 像素图标
- `icon_32.png` - 32x32 像素图标  
- `icon_64.png` - 64x64 像素图标
- `icon_128.png` - 128x128 像素图标
- `icon_256.png` - 256x256 像素图标

## 图标设计

### 设计元素
- **主题**: 俄罗斯方块彩色块图案
- **背景**: 深蓝色 (#2c3e50) 圆角矩形
- **方块颜色**: 
  - 红色 (#e74c3c)
  - 蓝色 (#3498db) 
  - 橙色 (#f39c12)
  - 绿色 (#2ecc71)
  - 紫色 (#9b59b6)
  - 深橙色 (#e67e22)
  - 青绿色 (#1abc9c)
  - 深灰色 (#34495e)

### 技术特性
- **多分辨率支持**: 适配不同显示密度
- **圆角设计**: 符合 macOS 设计规范
- **高光效果**: 增加视觉层次感
- **白色边框**: 增强方块定义

## 构建集成

在 macOS 构建过程中，`app.icns` 文件会自动复制到应用包中：

```bash
# 构建 macOS 版本
make macos

# 图标将自动复制到:
# dist/macos/TetrisGame.app/Contents/Resources/app.icns
```

## 图标使用

### macOS 应用
- 文件位置: `TetrisGame.app/Contents/Resources/app.icns`
- Info.plist 配置: `CFBundleIconFile = app`
- 显示位置: Finder、Dock、应用启动台

### 其他平台
- Windows: 可使用 PNG 文件转换为 .ico 格式
- Linux: 直接使用 PNG 文件

## 维护说明

### 更新图标
如需更新应用图标：

1. 替换 `app.icns` 文件
2. 可选：更新对应的 PNG 文件
3. 重新构建应用: `make clean && make macos`

### 创建新图标
如需从零创建新图标：

1. 创建 1024x1024 的高分辨率设计
2. 生成多个尺寸的 PNG 文件
3. 使用 macOS `iconutil` 工具创建 .icns 文件:
   ```bash
   iconutil -c icns icon.iconset -o app.icns
   ```

## 文件完整性

所有图标文件的校验和:
- `app.icns`: 96K (Mac OS X icon format)
- 总体设计一致性: ✅
- 多分辨率覆盖: ✅  
- macOS 兼容性: ✅ 